Bug 27476 - Improve link text for logging in on OPAC
Summary: Improve link text for logging in on OPAC
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Ella
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks: 26722
  Show dependency treegraph
 
Reported: 2021-01-20 01:41 UTC by Aleisha Amohia
Modified: 2021-05-29 14:00 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27476: Improve link text for logging in on OPAC (3.95 KB, patch)
2021-01-20 03:21 UTC, Ella
Details | Diff | Splinter Review
Bug 27476: Improve link text for logging in on OPAC (3.96 KB, patch)
2021-01-20 20:30 UTC, Ella
Details | Diff | Splinter Review
Bug 27476: Improve link text for logging in on OPAC (3.97 KB, patch)
2021-01-21 23:22 UTC, Ella
Details | Diff | Splinter Review
Bug 27476: Improve link text for logging in on OPAC (4.03 KB, patch)
2021-01-21 23:48 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27476: Improve link text for logging in on OPAC (4.09 KB, patch)
2021-02-02 10:37 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2021-01-20 01:41:41 UTC
koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-auth.tt:                                    <p><a href="[% shibbolethLoginUrl | $raw %]">If you have a Shibboleth account, please click here to log in.</a></p>
koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-auth.tt:                                    <p><a href="[% casServerUrl | $raw %]">Please click here to log in.</a><p>
koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-auth.tt:                                   <p><a href="[% casServerUrl | $raw %]">If you have a CAS account, please click here to log in.</a><p>


"Here" should not be used as a link text as it doesn't contain any helpful information for people scanning the page for information and also is a problem for blind users using screen readers jumping from link to link on a page.
Comment 1 Ella 2021-01-20 03:21:07 UTC
Created attachment 115408 [details] [review]
Bug 27476: Improve link text for logging in on OPAC

(Note: Must have Shibboleth and CAS added to OPAC)
1. (Before downloading patch) Go to OPAC
2. Search for an item in the search bar (i.e. type 'a')
3. On one of the items, click on 'Place hold'
4. The links should say 'If you have a Shibboleth account, please click
here to log in', 'Please click here to log in' and 'If you have a CAS
account, please click here to log in'
5. Add patch
6. Repeat steps 1-3
7. The links should now say 'Log in for Shibboleth account', 'Log in'
and 'Log in for CAS account'

NOTE: Also noticed on the initial log in box there was the same issue -
here is the testing for that:
1. Go to OPAC home page
2. In the top right click 'Log in to your account'
3. The link should say 'If you have a Shibboleth account, please click
here to log in.'
4. Apply patch
5. Repeat steps 1&2
6. The link should now say 'Log in for a Shibboleth account'

Sponsored.by: Catalyst IT
Comment 2 Owen Leonard 2021-01-20 13:07:32 UTC
I like this change, but I think "Log in /for/ a Shibboleth account" implies that you're trying to /get/ a Shibboleth account. I think it should be "Log in with..." or "Log in using..."
Comment 3 Ella 2021-01-20 20:30:11 UTC
Created attachment 115454 [details] [review]
Bug 27476: Improve link text for logging in on OPAC

(Note: Must have Shibboleth and CAS added to OPAC)
1. (Before downloading patch) Go to OPAC
2. Search for an item in the search bar (i.e. type 'a')
3. On one of the items, click on 'Place hold'
4. The links should say 'If you have a Shibboleth account, please click
here to log in', 'Please click here to log in' and 'If you have a CAS
account, please click here to log in'
5. Add patch
6. Repeat steps 1-3
7. The links should now say 'Log in using a Shibboleth account', 'Log in'
and 'Log in using a CAS account'

NOTE: Also noticed on the initial log in box there was the same issue -
here is the testing for that:
1. Go to OPAC home page
2. In the top right click 'Log in to your account'
3. The link should say 'If you have a Shibboleth account, please click
here to log in.'
4. Apply patch
5. Repeat steps 1&2
6. The link should now say 'Log in for Shibboleth account'

Sponsored.by: Catalyst IT
Comment 4 Katrin Fischer 2021-01-21 23:02:11 UTC
I wonder if this one could be misread:
<p><a href="[% shibbolethLoginUrl | $raw %]">Log in for a Shibboleth account</a>.</p>

I'd probably translate to something like "log here to create a Shibboleth account". Not a native speaker, but maybe "Log in using a Shibboleth account" like below would be a little clearer?
Comment 5 Ella 2021-01-21 23:22:43 UTC
Created attachment 115646 [details] [review]
Bug 27476: Improve link text for logging in on OPAC

(Note: Must have Shibboleth and CAS added to OPAC)
1. (Before downloading patch) Go to OPAC
2. Search for an item in the search bar (i.e. type 'a')
3. On one of the items, click on 'Place hold'
4. The links should say 'If you have a Shibboleth account, please click
here to log in', 'Please click here to log in' and 'If you have a CAS
account, please click here to log in'
5. Add patch
6. Repeat steps 1-3
7. The links should now say 'Log in using a Shibboleth account', 'Log in'
and 'Log in using a CAS account'

NOTE: Also noticed on the initial log in box there was the same issue -
here is the testing for that:
1. Go to OPAC home page
2. In the top right click 'Log in to your account'
3. The link should say 'If you have a Shibboleth account, please click
here to log in.'
4. Apply patch
5. Repeat steps 1&2
6. The link should now say 'Log in using a Shibboleth account'

Sponsored.by: Catalyst IT
Comment 6 Katrin Fischer 2021-01-21 23:48:21 UTC
Created attachment 115653 [details] [review]
Bug 27476: Improve link text for logging in on OPAC

(Note: Must have Shibboleth and CAS added to OPAC)
1. (Before downloading patch) Go to OPAC
2. Search for an item in the search bar (i.e. type 'a')
3. On one of the items, click on 'Place hold'
4. The links should say 'If you have a Shibboleth account, please click
here to log in', 'Please click here to log in' and 'If you have a CAS
account, please click here to log in'
5. Add patch
6. Repeat steps 1-3
7. The links should now say 'Log in using a Shibboleth account', 'Log in'
and 'Log in using a CAS account'

NOTE: Also noticed on the initial log in box there was the same issue -
here is the testing for that:
1. Go to OPAC home page
2. In the top right click 'Log in to your account'
3. The link should say 'If you have a Shibboleth account, please click
here to log in.'
4. Apply patch
5. Repeat steps 1&2
6. The link should now say 'Log in using a Shibboleth account'

Sponsored.by: Catalyst IT

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Martin Renvoize 2021-02-02 10:37:46 UTC
Created attachment 116195 [details] [review]
Bug 27476: Improve link text for logging in on OPAC

(Note: Must have Shibboleth and CAS added to OPAC)
1. (Before downloading patch) Go to OPAC
2. Search for an item in the search bar (i.e. type 'a')
3. On one of the items, click on 'Place hold'
4. The links should say 'If you have a Shibboleth account, please click
here to log in', 'Please click here to log in' and 'If you have a CAS
account, please click here to log in'
5. Add patch
6. Repeat steps 1-3
7. The links should now say 'Log in using a Shibboleth account', 'Log in'
and 'Log in using a CAS account'

NOTE: Also noticed on the initial log in box there was the same issue -
here is the testing for that:
1. Go to OPAC home page
2. In the top right click 'Log in to your account'
3. The link should say 'If you have a Shibboleth account, please click
here to log in.'
4. Apply patch
5. Repeat steps 1&2
6. The link should now say 'Log in using a Shibboleth account'

Sponsored-by: Catalyst IT
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 8 Martin Renvoize 2021-02-02 10:38:02 UTC
Works well, Passing QA
Comment 9 Jonathan Druart 2021-02-08 16:05:06 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 10 Fridolin Somers 2021-02-12 13:47:57 UTC
Enhancement not pushed to 20.11.x
Comment 11 Joel Coehoorn 2021-05-28 14:23:54 UTC
In the case where the new ShibOnly preference is used, why do we even show this view at all? As soon as you visit the OPAC and click the 'Log in to your account' link from the home page, it should be as if you clicked 'Log in using a Shibboleth account'
Comment 12 Katrin Fischer 2021-05-29 14:00:30 UTC
(In reply to Joel Coehoorn from comment #11)
> In the case where the new ShibOnly preference is used, why do we even show
> this view at all? As soon as you visit the OPAC and click the 'Log in to
> your account' link from the home page, it should be as if you clicked 'Log
> in using a Shibboleth account'

Hi Joel, I think there was an overlap here - ShibOnly was added after work started on this patch. If it doesn't work with ShibOnly as you describe, please file a new bug report - I think what you suggest sure makes sense for the ShibOnly use case.